﻿module CustomPoemModule

using ..Ahorn, Maple

@mapdef Entity "altlevelshelper/custompoem" CustomPoem(x::Integer, y::Integer, PoemDialogID::String="CH2_POEM", PreappearDialogID::String="CH2_JOURNAL", Flag::String="auto")

const placements = Ahorn.PlacementDict(
    "Custom Poem Book (Alt Levels Helper)" => Ahorn.EntityPlacement(
        CustomPoem
    )
)

sprite = "decals/2-oldsite/tableD"

function Ahorn.selection(entity::CustomPoem)
    x, y = Ahorn.position(entity)
    
    return Ahorn.getSpriteRectangle(sprite, x, y)
end

function Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::CustomPoem, room::Maple.Room)
    Ahorn.drawSprite(ctx, sprite, 0, 0)
end

end